function skill018()

p = flag.GetBattleValue(33032)

id = player.GetTargetPlayer()
if id~=-1 then

if p==2 then
          player.ChangeDP(0,id,1)
          player.CreateSE(id,3911)
end
player.AddStat(0,id,100,16,3)
end

if p==2 then

local pid=battle.GetActingPlayerID()
player.ChangeDP(0,pid,1)
player.CreateSE(pid,3911)


end
	
end 